Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class NamedRelationship

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.Relationship
                          oracle.ifs.beans.TieRelationship
                              oracle.ifs.beans.NamedRelationship

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieNamedRelationship

    public class NamedRelationship

extends TieRelationship

This feature is not supported in PRODUCTION 9.0.

The NamedRelationship extends Relationship by adding a "Type" attribute, which is simply a String. To create a NamedRelationship between two objects use a RelationshipDefinition and set the class to NAMEDRELATIONSHIP. You can also call relDef.setAttribute(TYPE_ATTRIBUTE, typeAttrVal) to set an initial type.

(Unpublished)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `TYPE_ATTRIBUTE` The type of the NamedRelationship.

Fields inherited from class oracle.ifs.beans.Relationship
`LEFTOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, RIGHTOBJECT_ATTRIBUTE, SORTSEQUENCE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `NamedRelationship(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a NamedRelationship object - standard variant.

Method Summary
`protected static NamedRelationship` | `constructNamedRelationship(LibrarySession sess, S_LibraryObjectData data)`
`protected static java.util.Vector` | `constructNamedRelationshipVector(LibrarySession sess, java.util.Vector vector)`
`java.lang.String` | `getType()` Get the value of TYPE attribute.
`void` | `setType(java.lang.String type)` Set the TYPE attribute

Methods inherited from class oracle.ifs.beans.Relationship
`constructRelationship, constructRelationshipVector, getLeftObject, getRightObject, getSortSequence, hasNameAttribute, vectorToRelationshipArray`

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `NamedRelationship`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### TYPE_ATTRIBUTE

    public static final java.lang.String TYPE_ATTRIBUTE

  Description copied from class: `NamedRelationship`
  The type of the NamedRelationship.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### NamedRelationship

    protected NamedRelationship(LibrarySession session,
                                java.lang.Long id,
                                java.lang.Long classId,
                                S_LibraryObjectData data)
                         throws IfsException

  Construct a NamedRelationship object - standard variant.

  Parameters:
    `session` - current LibSession
    `id` -
    `classId` -
    `data` - the object's data
  Throws:
    `IfsException`

Method Detail

### setType

    public void setType(java.lang.String type)
                 throws IfsException

  Description copied from class: `NamedRelationship`
  Set the TYPE attribute

  Parameters:
    `type` - Value of attribute TYPE
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getType

    public java.lang.String getType()
                             throws IfsException

  Description copied from class: `NamedRelationship`
  Get the value of TYPE attribute.

  Returns:
    The value of TYPE attribute.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### constructNamedRelationshipVector

    protected static java.util.Vector constructNamedRelationshipVector(LibrarySession sess,
                                                                       java.util.Vector vector)
                                                                throws IfsException

  Throws:
    `IfsException`

### constructNamedRelationship

    protected static NamedRelationship constructNamedRelationship(LibrarySession sess,
                                                                  S_LibraryObjectData data)
                                                           throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD